Subject: Re: [PATCH v4 bpf-next 02/14] bpf: Compile resolve_btfids tool at kernel compilation start

From: Jiri Olsa <[email-masked]>
Date: Sun, 28 Jun 2020 21:48:32 +0200

On Fri, Jun 26, 2020 at 02:28:30PM -0700, Andrii Nakryiko wrote:
> On Thu, Jun 25, 2020 at 4:47 PM Jiri Olsa <[email-masked]> wrote:
> >
> > The resolve_btfids tool will be used during the vmlinux linking,
> > so it's necessary it's ready for it.
> >
> > Signed-off-by: Jiri Olsa <[email-masked]>
> > ---
> 
> Not sure about clean target, but otherwise looks good to me.
> 
> Acked-by: Andrii Nakryiko <[email-masked]>
> 
> >  Makefile           | 22 ++++++++++++++++++----
> >  tools/Makefile     |  3 +++
> >  tools/bpf/Makefile |  5 ++++-
> >  3 files changed, 25 insertions(+), 5 deletions(-)
> >
> 
> [...]
> 
> > diff --git a/tools/bpf/Makefile b/tools/bpf/Makefile
> > index 6df1850f8353..89ae235b790e 100644
> > --- a/tools/bpf/Makefile
> > +++ b/tools/bpf/Makefile
> > @@ -123,5 +123,8 @@ runqslower_install:
> >  runqslower_clean:
> >         $(call descend,runqslower,clean)
> >
> > +resolve_btfids:
> > +       $(call descend,resolve_btfids)
> > +
> 
> I think we talked about this. Did we decide that resolve_btfids_clean
> is not necessary?

nope, I said I'd add it and forgot ;-) will add in next version

thanks,
jirka

> 
> >  .PHONY: all install clean bpftool bpftool_install bpftool_clean \
> > -       runqslower runqslower_install runqslower_clean
> > +       runqslower runqslower_install runqslower_clean resolve_btfids
> > --
> > 2.25.4
> >
>